%global _empty_manifest_terminate_build 0
%global pypi_name sphinx-autodoc-typehints
%global source_name sphinx_autodoc_typehints
Name:           python-%{pypi_name}
Version:        1.23.0
Release:        1
Summary:        Type hints (PEP 484) support for the Sphinx autodoc extension
License:        MIT
URL:            None
Source0:        https://files.pythonhosted.org/packages/46/30/9764a2c735c655c3065f32072fb3d8c6fd5dda8df294d4e9f05670d60e31/sphinx_autodoc_typehints-1.23.0.tar.gz
BuildArch:      noarch
%description
sphinx-autodoc-typehints This extension allows you to use Python 3 annotations
for documenting acceptable argument types and return value types of functions.
This allows you to use type hints in a very natural fashion, allowing you to
migrate.

%package -n python3-%{pypi_name}
Summary:        Type hints (PEP 484) support for the Sphinx autodoc extension
Provides:       python-sphinx-autodoc-typehints
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools_scm
BuildRequires:	python3-editables
BuildRequires:	python3-hatch-vcs
BuildRequires:	python3-hatchling
BuildRequires:	python3-virtualenv
# General requires
BuildRequires:  python3-sphinx
# General requires
Requires:       python3-sphinx
%description -n python3-%{pypi_name}
sphinx-autodoc-typehints This extension allows you to use Python 3 annotations
for documenting acceptable argument types and return value types of functions.
This allows you to use type hints in a very natural fashion, allowing you to
migrate.

%prep
%autosetup -p1 -n %{source_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{source_name}
%{python3_sitelib}/%{source_name}-*.dist-info/

%changelog
* Tue Jun 20 2023 Dongxing Wang <dxwangk@isoftstone.com> - 1.23.0-1
- Upgrade to version 1.23.0

* Tue Jul 26 2022 renliang16 <renliang@uniontech.com> - 1.12.0-1
- Init package python3-sphinx-autodoc-typehints of version 1.12.0

